# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-misc/yakuake/yakuake-2.7.5.ebuild,v 1.9 2007/01/19 18:16:13 flameeyes Exp $

inherit qt3 kde

DESCRIPTION="Front-end for MPlayer, with basic features like playing videos,
DVDs, and VCDs and more advanced features like support for MPlayer filters"
HOMEPAGE="http://smplayer.sourceforge.net"
SRC_URI="http://${PN}.sourceforge.net/linux/download/${P}.tar.gz"

LICENSE="GPL-2"

SLOT="0"
KEYWORDS="~x86"
IUSE="qt4"

DEPEND="qt4? ( >=x11-libs/qt-4.0.0 )
		!qt4? ( $(qt_min_version 3.0) )"

RDEPEND="${DEPEND}"

need-kde 3.3

src_compile() {
	if use qt4; then
		cd ${S}/src && /usr/bin/qt3to4 -alwaysOverwrite ${PN}.pro
		MY_QMAKE="/usr/bin/qmake"
	else
		MY_QMAKE="${QTDIR}/bin/qmake"
	fi
	cd ${S}/src && ${MY_QMAKE} && emake \
		DATA_PATH=\\\"/usr/share/${PN}\\\" \
		CONF_PATH=\\\"/usr/share/config/${PN}\\\" \
		TRANSLATION_PATH=\\\"/usr/share/${PN}/translations\\\" \
		DOC_PATH=\\\"/usr/share/doc/${P}\\\" || die
}

src_install() {
	cd ${S} && einstall \
		PREFIX=${D}/usr \
		CONF_PREFIX=${D} \
		DOC_PATH=${D}/usr/share/doc/${P} \
		KDE_PREFIX=${D}/`kde-config --prefix` || die
}
